<?php

class Sales extends DatabaseTable {

  public function __construct($id=false)
  {
    $this->idcolumn = 'nr';
    parent::__construct('sales', $id);
  }

  public function setPaid()
  {
    return $this->modify('paid', 1);
  }

  public function unsetPaid()
  {
    return $this->modify('paid', 0);
  }

  public function ajaxText(Array $data)
  {
    return $this->modify('description', $data['text']);
  }

  public function ajaxSetStatus(Array $data)
  {
    if (count($data['ids'])) {
      $sql = sprintf('UPDATE stempel SET status = %d WHERE oid IN (%s)',
		     $data['status'], implode(',',$data['ids']));
      return $this->execute($sql);
    }

    return true;
  }

}

