<?php

class SpritMachine extends DatabaseTable {

  public function __construct($id=false)
  {
    parent::__construct('sprit_machine', $id);
  }

  public function ajaxList(Array $data)
  {
    $out = '';
    $sql = "SELECT id,name FROM sprit_machine WHERE active = 1 ORDER BY name";
    foreach ($this->fetchObjectList($sql) as $row) {
      $out .= sprintf('<li>%s ', $row->name);
      $out .= '<form action="list.php" method="POST" style="display:inline;">';
      $out .= sprintf('<input type="hidden" name="machine" value="%d">', $row->id);
      $out .= sprintf('<img src="%spix/arrowrightmonth.gif" onclick="machine_list(this);" style="margin-bottom:-4px;" title="Liste zeigen">',
                      $this->rootPath);
      $out .= '</form>';
      $out .= '</li>';
    }

    return array('html' => array('machines' => $out));
  }

  public function ajaxSave(Array $data)
  {
    if ($this->id) {
      $sql = sprintf("UPDATE sprit_machine SET name=%s,sys_edit=now(),sys_user=%s WHERE id = %d",
                     $this->quote(utf8_decode($data['name'])),
                     $this->quote($_SERVER['REMOTE_USER']),
                     $this->id);
    } else {
      $sql = sprintf("INSERT INTO sprit_machine (name,active,sys_user,sys_edit) " .
                     "VALUES (%s,1,%s,now())",
                     $this->quote(utf8_decode($data['name'])),
                     $this->quote($_SERVER['REMOTE_USER']));
    }

    return $this->execute($sql);
  }

}

